import { epicCurrency, CURRENCY } from "./epicCurrency";
export interface CURRENCY_LIST {
    [index: string]: epicCurrency;
}
export interface CURRENCY_LIST_JSON {
    [key: string]: CURRENCY;
}
export declare class epicCurrencyList {
    protected standard: epicCurrency;
    protected currencyList: CURRENCY_LIST;
    constructor(currencyList: epicCurrencyList | epicCurrency[] | CURRENCY_LIST | CURRENCY_LIST_JSON, standardCurrencyCode: string);
    changeStandard: (currencyCode: string) => epicCurrencyList;
    addCurrency: (currency: epicCurrency | CURRENCY) => epicCurrencyList;
    addCurrencies: (currencies: epicCurrency[] | CURRENCY_LIST | CURRENCY_LIST_JSON) => epicCurrencyList;
    removeCurrency: (currencyCode: string) => epicCurrencyList;
    removeCurrencies: (currencyCodes: string[]) => epicCurrencyList;
    getList: (includeStandard?: boolean, clone?: boolean) => CURRENCY_LIST;
    getListJson: (includeStandard?: boolean, stringify?: boolean) => CURRENCY_LIST_JSON | string;
    getStandard: () => epicCurrency;
    get: (currencyCode: string, includeStandard?: boolean) => epicCurrency;
    has: (currencyCode: string, includeStandard?: boolean) => boolean;
    clone: () => epicCurrencyList;
}
//# sourceMappingURL=epicCurrencyList.d.ts.map