import { CURRENCY, epicCurrency } from "./epicCurrency";
export interface MONEY {
    amount: number;
    currency: CURRENCY;
}
export declare class epicMoney {
    protected amount: number;
    protected currency: epicCurrency;
    constructor(amount: number, currency: epicCurrency);
    export: () => MONEY;
    import: (source: MONEY) => epicMoney;
    static import: (source: MONEY) => epicMoney;
    stringify: (format?: string, numberFormat?: string) => string;
    to: (currency: epicCurrency) => epicMoney;
    val: () => number;
    getCurrency: () => epicCurrency;
    divide: (amount: number | epicMoney) => epicMoney;
    multiply: (amount: number | epicMoney) => epicMoney;
    plus: (amount: number | epicMoney) => epicMoney;
    minus: (amount: number | epicMoney) => epicMoney;
    major: () => epicMoney;
    minor: () => epicMoney;
    invert: () => epicMoney;
    double: (times?: number) => epicMoney;
    triple: (times?: number) => epicMoney;
    percent: (percentage: number) => epicMoney;
    round: (precision?: number) => epicMoney;
    roundUp: (precision?: number) => epicMoney;
    roundDown: (precision?: number) => epicMoney;
    partition: (parts?: number) => Array<epicMoney> | epicMoney;
    clone: () => epicMoney;
}
//# sourceMappingURL=epicMoney.d.ts.map